%define        distroname                  openmamba
%define        default_browser_homepage    http://openmamba.org

%define        testing                     0

%define        firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define        majversion                  %(echo %version | cut -d. -f 1-2)
%define        xulrunner_ver               %(echo %version | cut -d. -f 1)
%define        firefox_internal_version    %(echo %version | cut -d. -f1)
%define        firefoxappdir               %{_libdir}/firefox
%define        firefoxsdkdir               %{_libdir}/firefox-devel-%{firefox_internal_version}
%define        firefoxincludedir           %{_includedir}/firefox-%{version}
#%define        mozilla_version             central
%define        mozilla_version             release
#% define        source_dir                  mozilla-%{mozilla_version}
%define        pkgver %(echo %version | tr . _)
%define        pkgver %(echo %version | tr . _)

Name:          firefox
Version:       100.0.1
Release:       1mamba
Epoch:         1
Summary:       The next generation browsing technology from mozilla.org
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mozilla.org/en-US/firefox/
Source:        https://archive.mozilla.org/pub/firefox/releases/%{version}/source/firefox-%{version}.source.tar.xz
# langpack got with
# sh firefox-autoupdate %{version}
Source1:       firefox-%{version}-langpacks.tar.bz2
Source2:       firefox.desktop
Source3:       firefox.png
Source4:       mozilla-wrapper
Source5:       48278-firefox_mond.png
Source7:       mozilla-firefox-safemode.desktop
Source8:       firefox-autoupdate
Source9:       firefox-17.0-script
Source10:      firefox-openmamba-bookmarks-html
Patch0:        firefox-4.0-version.patch
Patch1:        firefox-4.0-jemalloc.patch
Patch2:        firefox-4.0-build-throw.patch
Patch3:        firefox-4.0-disable-checkupdates.patch
Patch4:        firefox-4.0-01-default.patch
Patch5:        xulrunner-2.0-os2cc.patch
Patch6:        firefox-7.0-cache-build.patch
Patch7:        firefox-36.0.3-fix-build-upstream.patch
Patch8:        firefox-39.0-openmamba-prefs.patch
Patch9:        firefox-42.0-build-add-freetype-system-wrapper.patch
Patch10:       firefox-43.0.4-fix-missing-PR_snprint.patch
Patch11:       firefox-47.0-gcc-6.1.0.patch
Patch12:       firefox-48.0.1-install_dir.patch
Patch13:       firefox-85.0.2-Use-remoting-name-for-GDK-application-names.patch
Patch14:       firefox-69.0.2-no-relinking.patch
Patch15:       firefox-70.0-fix-__warn_memset_zero_len.patch
Patch16:       firefox-91.0-glibc-2.34.patch
Patch17:       firefox-91.0-rustc-1.54.patch
Patch18:        firefox-98.0.2-aarch64-update-crossbeam-channel.patch
License:       GPL, LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: GConf-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libglitz-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libICE-devel
BuildRequires: libIDL-devel
BuildRequires: libSM-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libcurl-devel
BuildRequires: libz-devel
BuildRequires: pkgconfig
BuildRequires: libXext-devel
BuildRequires: xorg-proto-devel
BuildRequires: java-environment
BuildRequires: libpthread-stubs-devel
BuildRequires: glibc
BuildRequires: doxygen
BuildRequires: zip
BuildRequires: unzip
BuildRequires: bash
BuildRequires: yasm
BuildRequires: rustc
BuildRequires: cbindgen
BuildRequires: cbindgen
BuildRequires: xorg-server-xvfb
BuildRequires: python-zstandard-py3
BuildRequires: desktop-file-utils
BuildRequires: nodejs
BuildRequires: lld
BuildRequires: nasm
BuildRequires: ImageMagick
BuildRequires: libcxx-devel
BuildRequires: dump_syms
Provides:      xulrunner
Obsoletes:     xulrunner < 1:86.0.1

%description
Mozilla Firefox is the next generation browsing technology from mozilla.org.

%package devel
Summary:       Devel files for Mozilla Firefox
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      xulrunner-devel
Obsoletes:     xulrunner-devel < 1:86.0.1

%description devel
Mozilla Firefox is the next generation browsing technology from mozilla.org.
This package contains static libraries and header files needed for development.

%define lang_subpkg() \
%package langpack-%{1}\
Summary:       %{2} language support for Firefox\
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}\
Obsoletes:     %{name}-i18n-%{1} < 1:86.0.1-2mamba\
Supplements:   (%{name} = %{?epoch:%epoch:}%{version}-%{release} and langpacks-%{1})\
\
%description langpack-%{1}\
This package contains the %{2} language support files for Firefox.\
\
%files langpack-%{1}\
%defattr(-,root,root)\
%{firefoxappdir}/distribution/extensions/langpack-%{1}@firefox.mozilla.org.xpi

%lang_subpkg ach Acholi
%lang_subpkg af Afrikaans
#% lang_subpkg ak Akan
%lang_subpkg an Aragonese
%lang_subpkg ar Arabic
%lang_subpkg ast Asturian
#% lang_subpkg as Assamese
%lang_subpkg az Azerbaijani
%lang_subpkg be Belarusian
%lang_subpkg bg Bulgarian
%lang_subpkg bn Bengali
#% lang_subpkg bn-BD %{quote:Bengali (Bangladesh)}
#% lang_subpkg bn-IN %{quote:Bengali (India)}
%lang_subpkg br Breton
%lang_subpkg bs Bosanski
%lang_subpkg ca Catalan
%lang_subpkg ca-valencia %{quote:Catalan (Valencia)}
%lang_subpkg cak Kaqchikel
%lang_subpkg cs Czech
#% lang_subpkg csb Kashubian
%lang_subpkg cy %{quote:Cymraeg (GB)}
%lang_subpkg da Danish
%lang_subpkg de German
%lang_subpkg dsb %{quote:Lower Sorbian}
%lang_subpkg el Greek
%lang_subpkg en-CA %{quote:English (Canada)}
%lang_subpkg en-GB %{quote:English (British)}
%lang_subpkg en-US %{quote:English (USA)}
#% lang_subpkg en-ZA %{quote:English (South Africa)}
%lang_subpkg eo Esperanto
%lang_subpkg es-AR %{quote:Spanish (Latin American)}
%lang_subpkg es-CL %{quote:Spanish (Chile)}
%lang_subpkg es-ES Spanish
%lang_subpkg es-MX %{quote:Spanish (México)}
%lang_subpkg et Estonian
%lang_subpkg eu Basque
%lang_subpkg fa %{quote:Persian - Farsi (IR)}
%lang_subpkg ff Fulah
%lang_subpkg fi Finnish
%lang_subpkg fr French
%lang_subpkg fy-NL Frisian
%lang_subpkg ga-IE Irish
%lang_subpkg gd %{quote:Scottish Gaelic}
%lang_subpkg gl %{quote:Galician (Galiza)}
%lang_subpkg gn Guarani
%lang_subpkg gu-IN Gujarati
%lang_subpkg he Hebrew
%lang_subpkg hi-IN Hindi
%lang_subpkg hr %{quote:Hrvatski (HR)}
%lang_subpkg hsb %{quote:Upper Sorbian}
%lang_subpkg hu Hungarian
%lang_subpkg hy-AM %{quote:Armenian (AM)}
%lang_subpkg ia Interlingua
%lang_subpkg id %{quote:Bahasa Indonesia}
%lang_subpkg is Icelandic
%lang_subpkg it Italian
%lang_subpkg ja Japanese
%lang_subpkg ka Georgian
%lang_subpkg kab Kabyle
%lang_subpkg kk %{quote:Kazakh (KZ)}
%lang_subpkg km Khmer
%lang_subpkg kn %{quote:Kannada (IN)}
%lang_subpkg ko Korean
#% lang_subpkg ku Kurdish
#% lang_subpkg lg Luganda
%lang_subpkg lij %{quote:Ligure (Zenéize)}
%lang_subpkg lt Lithuanian
%lang_subpkg lv Latviešu
#% lang_subpkg mai Maithili
%lang_subpkg mk Macedonian
#% lang_subpkg ml %{quote:Malayalam (IN)}
#% lang_subpkg mn Mongolian
%lang_subpkg mr Marathi
%lang_subpkg ms Malay
%lang_subpkg my Burmese
%lang_subpkg nb-NO %{quote:Norwegian Bokmål}
%lang_subpkg ne-NP Nepali
%lang_subpkg nl Dutch
%lang_subpkg nn-NO %{quote:Norwegian Nynorsk}
#% lang_subpkg nso %{quote:Sesotho sa lebowa}
%lang_subpkg oc Occitan
#% lang_subpkg or %{quote:Oriya (OR)}
%lang_subpkg pa-IN %{quote:Punjabi (IN)}
%lang_subpkg pl Polish
%lang_subpkg pt-BR %{quote:Portuguese (Brazilian)}
%lang_subpkg pt-PT Portuguese
%lang_subpkg rm Rumantsch
%lang_subpkg ro Romanian
%lang_subpkg ru Russian
%lang_subpkg sco Scots
%lang_subpkg si %{quote:Sinhala (si-LK)}
%lang_subpkg sk Slovak
%lang_subpkg sl Slovenian
%lang_subpkg son Soŋay
%lang_subpkg sq Albanian
%lang_subpkg sr %{quote:Српски (sr)}
%lang_subpkg sv-SE Swedish
%lang_subpkg szl Silesian
#% lang_subpkg ta-LK %{quote:Tamil (Sri Lanka)}
%lang_subpkg ta Tamil
%lang_subpkg te %{quote:Telugu (IN)}
%lang_subpkg th Thai
%lang_subpkg tl %{quote:East Timor}
%lang_subpkg trs Triqui
%lang_subpkg tr Turkish
%lang_subpkg ur Urdu
%lang_subpkg uk %{quote:Ukrainian (UA)}
%lang_subpkg uz Uzbek
%lang_subpkg vi %{quote:Tiếng Việt (VN)}
%lang_subpkg xh Xhosa
%lang_subpkg zh-CN %{quote:Chinese (Simplified)}
%lang_subpkg zh-TW %{quote:Chinese (Traditional)}
#% lang_subpkg zu Zulu

#% debug_package

%prep
%setup -q
#-D -T
#:<< ___EOF

sed -e 's|__RPM_VERSION_INTERNAL__|%{firefox_internal_version}|' %{PATCH0} | patch -p0

%patch5 -p1 -b .os2cc
#%patch13 -p1

#%ifarch %{ix86}
#%patch15 -p1
#%endif

#%patch16 -p1
%patch17 -p1

#%ifarch aarch64
#%patch18 -p1 -b .aarch64-update-crossbeam-channel
#%endif

#___EOF

# Ignore pip check errors
sed -i "s|check_result.returncode|0|" build/mach_initialize.py

# Google and Mozilla api keys for openmamba
echo -n "AIzaSyBT3wXwxmFuUQcyeMyp0MbHHhhFwNfWKTc" >google-api-key
echo -n "29b6a7b2-7b70-47fd-b3fb-7526fd971b10" >mozilla-api-key


cat > .mozconfig <<END
ac_add_options --enable-application=browser
mk_add_options MOZ_OBJDIR=${PWD@Q}/obj

ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --enable-release
ac_add_options --enable-hardening
%ifarch %{ix86} aarch64
ac_add_options --disable-debug-symbols
ac_add_options --enable-optimize="-O2"
%else
ac_add_options --enable-optimize
%endif
ac_add_options --enable-rust-simd
ac_add_options --enable-linker=lld
%ifarch %{ix86} x86_64
ac_add_options --disable-elf-hack
%endif
#ac_add_options --enable-lto
#export MOZ_PGO=1
export CC="clang --target=%{_target_platform}"
export CXX="clang++ --target=%{_target_platform}"
export AR=llvm-ar
export NM=llvm-nm
export RANLIB=llvm-ranlib

# Branding
ac_add_options --enable-official-branding
ac_add_options --enable-update-channel=release
ac_add_options --with-distribution-id=org.openmamba
ac_add_options --with-unsigned-addon-scopes=app,system
export MOZILLA_OFFICIAL=1
export MOZ_APP_REMOTINGNAME=%{name}
export MOZ_TELEMETRY_REPORTING=1
export MOZ_REQUIRE_SIGNING=1

## Keys
ac_add_options --with-google-location-service-api-keyfile=$PWD/google-api-key
ac_add_options --with-google-safebrowsing-api-keyfile=$PWD/google-api-key
ac_add_options --with-mozilla-api-keyfile=`pwd`/mozilla-api-key

# System libraries
ac_add_options --with-system-nspr
ac_add_options --with-system-nss

# Features
ac_add_options --with-user-appdir=.firefox
ac_add_options --enable-alsa
ac_add_options --enable-jack
ac_add_options --enable-crashreporter
ac_add_options --disable-updater
ac_add_options --disable-strip
ac_add_options --disable-tests

# TODO: wasi compiler
ac_add_options --without-wasm-sandboxed-libraries
END

mkdir -p mozbuild

%build
#:<< _EOF
#export MOZ_SOURCE_REPO=https://hg.mozilla.org/mozilla-unified
export MOZ_NOSPAM=1
export MOZBUILD_STATE_PATH="`pwd`/mozbuild"
export MOZ_ENABLE_FULL_SYMBOLS=1
#export MACH_USE_SYSTEM_PYTHON=1
#export MOZ_SOURCE_CHANGESET=dummy
#export CFLAGS="${CFLAGS/-fno-plt/}"
#export CXXFLAGS="-I/usr/include/c++/10.2.0/"

# LTO needs more open files
ulimit -n 4096

./mach build

./mach buildsymbols

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#cd build

export MOZ_NOSPAM=1
export MOZBUILD_STATE_PATH="`pwd`/mozbuild"
export MOZ_ENABLE_FULL_SYMBOLS=1
#export MACH_USE_SYSTEM_PYTHON=1

#cat > ${OBJDIR}/dist/bin/browser/chrome/en-US/locale/branding/browserconfig.properties << EOF
#browser.startup.homepage=%{default_browser_homepage}
#browser.startup.homepage_reset=%{default_browser_homepage}
#EOF

#sed -i -e 's|@BINPATH@/browser/@PREF_DIR@/firefox.js|@BINPATH@/browser/@PREF_DIR@/all-openmamba.js\n&|' \
#   ./browser/installer/package-manifest.in 

#cp -p %{SOURCE10} ${OBJDIR}/dist/bin/browser/defaults/profile/bookmarks.html

#cat > ${OBJDIR}/dist/bin/browser/defaults/preferences/firefox-l10n.js << _EOF
#pref("general.useragent.locale", "chrome://global/locale/intl.properties");
#_EOF

export DESTDIR=%{buildroot}
./mach install

#% makeinstall libdir=%{_libdir}

install -d -m0755 %{buildroot}%{firefoxappdir}/browser/defaults/preferences
cat > %{buildroot}%{firefoxappdir}/browser/defaults/preferences/vendor.js << _EOF
// Use LANG environment variable to choose locale
pref("intl.locale.requested", "");

// Use system-provided dictionaries
pref("spellchecker.dictionary_path", "%{_datadir}/myspell");

// Disable default browser checking.
pref("browser.shell.checkDefaultBrowser", false);

// Don't disable our bundled extensions in the application directory
pref("extensions.autoDisableScopes", 11);
pref("extensions.shownSelectionUI", true);

pref("app.update.auto", false);
pref("app.update.enabled", false);
pref("app.update.autoInstallEnabled", false);
pref("browser.backspace_action", 2);
pref("browser.display.use_system_colors", true);
pref("browser.download.folderList", 1);
pref("browser.link.open_external", 3);
pref("general.smoothScroll", true);
pref("general.useragent.vendor", "openmamba");
pref("general.useragent.vendorSub", "%{version}-%{release}");
_EOF


install -d -m0755 %{buildroot}%{firefoxappdir}/distribution
cat > %{buildroot}%{firefoxappdir}/distribution/distribution.ini << END
[Global]
id=openmamba
version=1.0
about=Mozilla Firefox for openmamba GNU/Linux

[Preferences]
app.distributor=openmamba
app.distributor.channel=firefox
app.partner.openmamba=openmamba
END

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor mozilla --dir %{buildroot}%{_datadir}/applications %{SOURCE2}
desktop-file-install --vendor mozilla --dir %{buildroot}%{_datadir}/applications %{SOURCE7}

# install firefox icon

for i in 16 22 24 32 48 256; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
  convert -geometry ${i}x${i} ./browser/branding/official/default${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/firefox.png
done

#rm -f %{buildroot}%{_bindir}/firefox
#cat %{SOURCE9} | sed -e 's/FIREFOX_VERSION/%{firefox_internal_version}/g' -e 's,LIBDIR,%{_libdir},g' \
#  | %{__sed} -e "s,XULRUNNER_DIRECTORY,$(pkg-config --variable=libdir libxul),g" > \
#    %{buildroot}%{_bindir}/firefox
#
chmod 755 %{buildroot}%{firefoxappdir}/libxul.so
#chmod 755 %{buildroot}%{_bindir}/firefox

#install -pm 644 ./LICENSE %{buildroot}%{firefoxappdir}/

rm -rf %{buildroot}%{firefoxappdir}/firefox
ln -s firefox-bin %{buildroot}%{firefoxappdir}/firefox

# install langpacks
# see also: https://support.mozilla.org/en-US/kb/deploying-firefox-language-packs
install -d %{buildroot}%{firefoxappdir}/distribution/extensions

install -d firefox-langpacks && tar -C firefox-langpacks -xjf %{S:1}

find firefox-langpacks/ -type f -name \*.xpi | \
while read filename; do
  lang=$(basename $filename .xpi)
  install -Dm644 $filename \
    %{buildroot}%{firefoxappdir}/distribution/extensions/langpack-$lang@firefox.mozilla.org.xpi
#  extensiondir="\
#%{buildroot}%{firefoxappdir}/browser/extensions/langpack-$lang@firefox.mozilla.org"
#  install -d $extensiondir
#  unzip $filename -d $extensiondir
#  sed -i "\
#    s|\(browser.startup.homepage=\).*|\1%{default_browser_homepage}|
#    s|\(browser.startup.homepage_reset=\).*|\1%{default_browser_homepage}|" \
#      $extensiondir/browser/chrome/$lang/locale/branding/browserconfig.properties
#  find $extensiondir -type f -exec chmod 644 {} \;
done

rm -rf %{buildroot}%{firefoxappdir}/{dictionaries,hyphenation}
ln -s %{_datadir}/myspell %{buildroot}%{firefoxappdir}/dictionaries
ln -s %{_datadir}/hyphen %{buildroot}%{firefoxappdir}/hyphenation

#touch %{buildroot}%{firefoxappdir}/browser/components/compreg.dat
#touch %{buildroot}%{firefoxappdir}/browser/components/xpti.dat

# install the needed conf file for ldconfig
install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{firefoxappdir}" > \
   %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf


# todo
# %{__mkdir_p} %{buildroot}%{_datadir}/mozilla/extensions/%{firefox_app_id}
# %{__mkdir_p} %{buildroot}%{_libdir}/mozilla/extensions/%{firefox_app_id}

rm -rf %{buildroot}%{firefoxappdir}/removed-files

install -d -m0755 %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/mozilla-plugin.pc << _EOF
prefix=%{_prefix}
sdkdir=%{firefoxsdkdir}
includedir=%{firefoxincludedir}

Name: Mozilla Plug-In API
Description: Mozilla Plug-In API
Version: 100.0.1

Cflags: -I\${includedir} -DXP_UNIX
_EOF

# 64.0: workaround
for f in libnspr4.so libnssutil3.so libplc4.so libplds4.so; do
   ln -s ../$f %{buildroot}%{firefoxappdir}/$f
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -gt 1 ]; then
   [ -L "%{firefoxappdir}/dictionaries" ] || rm -rf "%{firefoxappdir}/dictionaries"
fi
:

%post
update-desktop-database &> /dev/null || :
if [ $1 -eq 1 ]; then
   if [ -w /etc/ld.so.conf ]; then
      if [ -d /etc/ld.so.conf.d ]; then
         sed -i "\|^/usr/lib/firefox-[0-9\.]*|d" /etc/ld.so.conf
      else
         grep -q "^%{firefoxappdir}$" /etc/ld.so.conf ||
            echo "%{firefoxappdir}" >> /etc/ld.so.conf
      fi
   fi
fi
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig
:

%preun
if [ $1 -eq 0 ]; then
   if [ -w /etc/ld.so.conf ]; then
      sed -i "\|^/usr/lib/firefox-[0-9\.]*|d" /etc/ld.so.conf
   fi
   rm -fr %{firefoxappdir}/
fi
/sbin/ldconfig
:

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
:

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_bindir}/firefox
%{_datadir}/applications/mozilla-firefox.desktop
%{_datadir}/applications/mozilla-firefox-safemode.desktop
%{_datadir}/icons/hicolor/*x*/apps/firefox*.png
%dir %{firefoxappdir}
%{firefoxappdir}/*.ini
%{firefoxappdir}/firefox
#%{firefoxappdir}/browser/chrome.manifest
%{firefoxappdir}/browser/omni.ja
%dir %{firefoxappdir}/distribution
%{firefoxappdir}/distribution/distribution.ini
%dir %{firefoxappdir}/distribution/extensions
#%attr(644, root, root) %{firefoxappdir}/browser/blocklist.xml
%dir %{firefoxappdir}/browser
%dir %{firefoxappdir}/browser/chrome
%dir %{firefoxappdir}/browser/chrome/icons
%dir %{firefoxappdir}/browser/chrome/icons/default
%{firefoxappdir}/browser/crashreporter-override.ini
%attr(644, root, root) %{firefoxappdir}/browser/chrome/icons/default/default*.png
#%dir %{firefoxappdir}/browser/extensions
%{firefoxappdir}/browser/features/*.xpi
%{firefoxappdir}/firefox-bin
#%{firefoxappdir}/chrome.manifest
%{firefoxappdir}/lib*.so
%{firefoxappdir}/minidump-analyzer
%{firefoxappdir}/pingsender
%{firefoxappdir}/crashreporter
%{firefoxappdir}/defaults/pref/channel-prefs.js
%{firefoxappdir}/browser/defaults/preferences/vendor.js 
%{firefoxappdir}/dependentlibs.list
%{firefoxappdir}/dictionaries
%{firefoxappdir}/hyphenation
%dir %{firefoxappdir}/fonts
%{firefoxappdir}/fonts/*
%dir %{firefoxappdir}/gmp-clearkey
%dir %{firefoxappdir}/gmp-clearkey/0.1
%{firefoxappdir}/gmp-clearkey/0.1/*
%{firefoxappdir}/Throbber-small.gif
#%{firefoxappdir}/gtk2/libmozgtk.so
%{firefoxappdir}/liblgpllibs.so
%{firefoxappdir}/libmozavcodec.so
%{firefoxappdir}/libmozavutil.so
%{firefoxappdir}/libmozgtk.so
%{firefoxappdir}/libxul.so
%{firefoxappdir}/omni.ja
%{firefoxappdir}/plugin-container
%{_libdir}/firefox/libnspr4.so
%{_libdir}/firefox/libnssutil3.so
%{_libdir}/firefox/libplc4.so
%{_libdir}/firefox/libplds4.so
%{_libdir}/firefox/libmozsqlite3.so
%{_libdir}/firefox/libmozwayland.so
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-plugin.pc

%changelog
* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 100.0.1-1mamba
- automatic version update by autodist

* Mon May 02 2022 Automatic Build System <autodist@mambasoft.it> 100.0-1mamba
- automatic version update by autodist

* Tue Apr 12 2022 Automatic Build System <autodist@mambasoft.it> 99.0.1-1mamba
- automatic version update by autodist

* Tue Apr 05 2022 Automatic Build System <autodist@mambasoft.it> 99.0-1mamba
- automatic version update by autodist

* Mon Mar 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 98.0.2-2mamba
- aarch64: upstream patch to fix https://bugzilla.mozilla.org/show_bug.cgi?id=1757571

* Thu Mar 24 2022 Automatic Build System <autodist@mambasoft.it> 98.0.2-1mamba
- automatic version update by autodist

* Mon Mar 14 2022 Automatic Build System <autodist@mambasoft.it> 98.0.1-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 98.0-1mamba
- automatic version update by autodist

* Sun Mar 06 2022 Automatic Build System <autodist@mambasoft.it> 97.0.2-1mamba
- automatic version update by autodist

* Thu Feb 17 2022 Automatic Build System <autodist@mambasoft.it> 97.0.1-1mamba
- automatic version update by autodist

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 97.0-1mamba
- automatic version update by autodist

* Wed Feb 02 2022 Automatic Build System <autodist@mambasoft.it> 96.0.3-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 95.0.2-1mamba
- automatic version update by autodist

* Thu Dec 16 2021 Automatic Build System <autodist@mambasoft.it> 95.0.1-1mamba
- automatic version update by autodist

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 95.0-1mamba
- automatic version update by autodist

* Sat Nov 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 94.0.2-1mamba
- update to 94.0.2

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 94.0.1-1mamba
- automatic version update by autodist

* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 94.0-1mamba
- automatic version update by autodist

* Sat Oct 16 2021 Automatic Build System <autodist@mambasoft.it> 93.0-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 92.0.1-2mamba
- added MPL API key for openmamba

* Thu Sep 23 2021 Automatic Build System <autodist@mambasoft.it> 92.0.1-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 92.0-1mamba
- automatic version update by autodist

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 91.0.2-1mamba
- automatic version update by autodist

* Wed Aug 18 2021 Automatic Build System <autodist@mambasoft.it> 91.0.1-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 91.0-1mamba
- update to 91.0

* Thu Jul 22 2021 Automatic Build System <autodist@mambasoft.it> 90.0.2-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 90.0.1-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 90.0-1mamba
- automatic version update by autodist

* Thu Jun 24 2021 Automatic Build System <autodist@mambasoft.it> 89.0.2-1mamba
- automatic version update by autodist

* Wed Jun 16 2021 Automatic Build System <autodist@mambasoft.it> 89.0.1-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 89.0-1mamba
- automatic version update by autodist

* Sat May 08 2021 Automatic Build System <autodist@mambasoft.it> 88.0.1-1mamba
- automatic version update by autodist

* Mon Apr 19 2021 Automatic Build System <autodist@mambasoft.it> 88.0-1mamba
- automatic version update by autodist

* Wed Mar 24 2021 Automatic Build System <autodist@mambasoft.it> 87.0-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 86.0.1-2mamba
- langpacks support

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 86.0.1-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 86.0-1mamba
- automatic version update by autodist

* Fri Feb 12 2021 Automatic Build System <autodist@mambasoft.it> 85.0.2-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 84.0.2-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 84.0.1-1mamba
- automatic version update by autodist

* Mon May 18 2020 Automatic Build System <autodist@mambasoft.it> 76.0.1-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 75.0-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 74.0-1mamba
- automatic version update by autodist

* Tue Feb 18 2020 Automatic Build System <autodist@mambasoft.it> 73.0.1-1mamba
- automatic version update by autodist

* Thu Feb 13 2020 Automatic Build System <autodist@mambasoft.it> 73.0-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 72.0.2-1mamba
- update to 72.0.2

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 70.0.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 70.0-1mamba
- automatic version update by autodist

* Sun Jan 13 2019 Automatic Build System <autodist@mambasoft.it> 64.0.2-1mamba
- automatic version update by autodist

* Sun Jan 06 2019 Automatic Build System <autodist@mambasoft.it> 64.0-1mamba
- automatic version update by autodist

* Sun Sep 16 2018 Automatic Build System <autodist@mambasoft.it> 62.0-1mamba
- automatic version update by autodist

* Wed Aug 08 2018 Automatic Build System <autodist@mambasoft.it> 61.0.2-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 61.0.1-2mamba
- fix upgrade error due to dictionaries symlink

* Sun Jul 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 61.0.1-1mamba
- update to 61.0.1

* Thu Jul 05 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 61.0-1mamba
- update to 61.0

* Wed Dec 21 2016 Automatic Build System <autodist@mambasoft.it> 50.1.0-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 49.0.2-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 49.0.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2-1mamba
- automatic version update by autodist

* Tue Aug 23 2016 Automatic Build System <autodist@mambasoft.it> 48.0.1-1mamba
- automatic version update by autodist

* Tue Jun 28 2016 Automatic Build System <autodist@mambasoft.it> 47.0.1-1mamba
- automatic version update by autodist

* Thu Jun 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 47.0-2mamba
- rebuilt with cairo-gtk3

* Wed Jun 22 2016 Automatic Build System <autodist@mambasoft.it> 47.0-1mamba
- automatic version update by autodist

* Tue Apr 12 2016 Automatic Build System <autodist@mambasoft.it> 45.0.2-1mamba
- automatic version update by autodist

* Wed Mar 23 2016 Automatic Build System <autodist@mambasoft.it> 45.0.1-1mamba
- automatic version update by autodist

* Fri Feb 19 2016 Automatic Build System <autodist@mambasoft.it> 44.0.2-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 44.0-2mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 44.0-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0.4-1mamba
- update to 43.0.4

* Sat Oct 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 41.0.1-1mamba
- update to 41.0.1

* Fri Aug 07 2015 Automatic Build System <autodist@mambasoft.it> 39.0.3-1mamba
- automatic version update by autodist

* Fri Jul 03 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 39.0-2mamba
- provide mozilla-plugin.pc

* Fri Jul 03 2015 Automatic Build System <autodist@mambasoft.it> 39.0-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 38.0.6-1mamba
- automatic version update by autodist

* Tue Jun 02 2015 Automatic Build System <autodist@mambasoft.it> 38.0.5-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 38.0.1-1mamba
- automatic version update by autodist

* Tue Apr 21 2015 Automatic Build System <autodist@mambasoft.it> 37.0.2-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 37.0.1-1mamba
- automatic version update by autodist

* Mon Mar 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 36.0.4-2mamba
- disable hiding provides like in xulrunner and obsolete xulrunner
- obsolete xulrunner

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 36.0.4-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 36.0.3-1mamba
- update to 36.0.3

* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0.3-1mamba
- update to 32.0.3

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 32.0.2-1mamba
- automatic version update by autodist

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0.1-1mamba
- update to 32.0.1

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0-1mamba
- update to 32.0

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 27.0.1-2mamba
- /usr/bin/firefox: don't modify, %{firefoxappdir}/firefox link to firefox-bin not xulrunner

* Sun Mar 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 27.0.1-1mamba
- update to 27.0.1

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 25.0-1mamba
- automatic version update by autodist

* Wed Sep 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 17.0.1-2mamba
- require xulrunner
- fixed startup script %{_bindir}/firefox for x86_64

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 17.0.1-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 17.0-1mamba
- automatic version update by autodist

* Sun Oct 28 2012 Automatic Build System <autodist@mambasoft.it> 16.0.2-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 16.0.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 16.0-1mamba
- automatic version update by autodist

* Fri Sep 07 2012 Automatic Build System <autodist@mambasoft.it> 15.0.1-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0-2mamba
- rebuilt with xulrunner 15.0, added buildrequirement for xulrunner-devel >= %{majversion}

* Thu Aug 30 2012 Automatic Build System <autodist@mambasoft.it> 15.0-1mamba
- automatic version update by autodist

* Mon Jul 23 2012 Automatic Build System <autodist@mambasoft.it> 14.0.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2012 Automatic Build System <autodist@mambasoft.it> 13.0.1-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 13.0-1mamba
- automatic version update by autodist

* Tue May 01 2012 Automatic Build System <autodist@mambasoft.it> 12.0-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 11.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-2mamba
- fix icon using official icon for normal and safe-mode desktop entries

* Sat Oct 15 2011 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Fri Sep 09 2011 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Thu Sep 01 2011 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Tue Aug 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0-1mamba
- update to 6.0

* Sun Jul 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0-13mamba
- remove provides and obsoletes for firefox3-* packages to avoid upgrade loop between alternative and main repositories

* Sat Apr 09 2011 Ercole 'ercolinux' Carpanetto 4.0-12mamba
- rebuilt removing hunspell requirements

* Mon Mar 21 2011 gil <puntogil@libero.it> 4.0-11mamba
- update to 4.0

* Sun Mar 20 2011 gil <puntogil@libero.it> 4.0-10mamba
- update to 4.0rc2

* Fri Mar 18 2011 gil <puntogil@libero.it> 4.0-9mamba
- rebuilt with gio support and remove libgnome-vfs support
- enable omni jar support

* Thu Mar 10 2011 gil <puntogil@libero.it> 4.0-8mamba
- update to 4.0rc1

* Fri Feb 25 2011 gil <puntogil@libero.it> 4.0-7mamba
- update to 4.0b12

* Wed Feb 09 2011 gil <puntogil@libero.it> 4.0-6mamba
- update to 4.0b11

* Wed Jan 26 2011 gil <puntogil@libero.it> 4.0-5mamba
- update to 4.0b10

* Fri Jan 14 2011 gil <puntogil@libero.it> 4.0-4mamba
- update to 4.0b9

* Thu Dec 23 2010 gil <puntogil@libero.it> 4.0-3mamba
- update to 4.0b8

* Wed Nov 17 2010 gil <puntogil@libero.it> 4.0-2mamba
- update to 4.0b7

* Mon Oct 04 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0b6
- rename to firefox replacing firefox 3

* Thu Sep 16 2010 gil <puntogil@libero.it> 3.6.10-1mamba
- update to 3.6.10

* Tue Sep 14 2010 gil <puntogil@libero.it> 3.6.9-1mamba
- update to 3.6.9
- add i18n new packages (Asturian language support)
- edit i18n-or: summary; description

* Mon Sep 13 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0 (4.0b5)

* Thu Aug 26 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0 (4.0b4)
- set program name as Firefox 4 in desktop entry
- renamed to legacy firefox4

* Sun Jul 25 2010 gil <puntogil@libero.it> 3.6.8-1mamba
- update to 3.6.8

* Thu Jul 22 2010 gil <puntogil@libero.it> 3.6.7-1mamba
- update to 3.6.7

* Mon Jun 28 2010 gil <puntogil@libero.it> 3.6.6-1mamba
- update to 3.6.6

* Wed Jun 23 2010 gil <puntogil@libero.it> 3.6.4-1mamba
- update to 3.6.4

* Sun Apr 04 2010 gil <puntogil@libero.it> 3.6.3-1mamba
- update to 3.6.3
- edit spec file

* Wed Dec 30 2009 gil <puntogil@libero.it> 3.5.6-2mamba
- rebuilt

* Wed Dec 30 2009 gil <puntogil@libero.it> 3.5.6-1mamba
- update to 3.5.6
- added firefox script (wrapper)
- added %%postun edit %%post scriptlets for update gtk icon cache
- edit configure option: --enable-ldap --with-system-mozldap

* Wed Jul 01 2009 gil <puntogil@libero.it> 3.5-1mamba
- update to 3.5
- added new sub packages (language support) ...

* Sat Jun 13 2009 gil <puntogil@libero.it> 3.0.11-1mamba
- update to 3.0.11

* Tue Apr 28 2009 gil <puntogil@libero.it> 3.0.10-1mamba
- update to 3.0.10

* Wed Apr 22 2009 gil <puntogil@libero.it> 3.0.9-1mamba
- update to 3.0.9

* Thu Apr 02 2009 gil <puntogil@libero.it> 3.0.8-4mamba
- changed icon

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-3mamba
- added safe mode desktop entry

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-2mamba
- rebuilt with xulrunner 1.9.0.8
- don't obsolete firefox-devel (it is obsoleted by xulrunner-devel)

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-1mamba
- automatic update to 3.0.8 by autodist

* Mon Mar 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-2mamba
- rebuilt using xulrunner
- removed --enable-cpp-rtti configuration option to build with system xulrunner
- devel package removed and obsoleted

* Thu Mar 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-1mamba
- automatic update to 3.0.7 by autodist

* Wed Mar 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-2mamba
- automatic rebuild by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-1mamba
- update to 3.0.6

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- automatic update to 3.0.5 by autodist

* Wed Dec 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2mamba
- rename to firefox replacing firefox 2

* Thu Nov 13 2008 gil <puntogil@libero.it> 3.0.4-1mamba
- update to 3.0.4

* Sat Sep 27 2008 gil <puntogil@libero.it> 3.0.3-1mamba
- update to 3.0.3

* Thu Sep 25 2008 gil <puntogil@libero.it> 3.0.2-1mamba
- update to 3.0.2

* Thu Jul 17 2008 gil <puntogil@libero.it> 3.0.1-1mamba
- update to 3.0.1

* Thu Jul 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-3mamba
- fixed i18n provides/obsoletes to avoid conflicts with firefox 2

* Mon Jun 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- set program name as Firefox 3 in desktop entry
- rebuilt with system libnss 3.12

* Wed Jun 18 2008 gil <puntogil@libero.it> 3.0-1mamba
- update to 3.0
- update language packs to version 3.0
- add i18n new packages (Sinhala and Slovenian language support are in beta)
- removed freetype_compile.patch
- add export LDFLAGS and MOZ_PHOENIX
- edit configure options: --enable-necko-protocols=all, --enable-image-encoders=all, --with-embedding-profile=default, --enable-default-toolkit=cairo-gtk2
- new build requirements: libdbus-glib libcurl

* Thu May 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.14-2mamba
- provide mozilla symlink for some applications launch browser facility
- rebuild with jsd enabled and the venkman extension (for firebug support)

* Fri Apr 18 2008 gil <puntogil@libero.it> 2.0.0.14-1mamba
- update to 2.0.0.14
- update language packs to version 2.0.0.14

* Thu Dec 06 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.11-1mamba
- update to 2.0.0.11
- fixed cairo configure option (replace --with-system-cairo with --enable-system-cairo)

* Wed Nov 14 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.9-1mamba
- security update to 2.0.0.9

* Wed Sep 19 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.7-1mamba
- security update to 2.0.0.7

* Tue Jul 31 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.6-1mamba
- security update to 2.0.0.6

* Wed Jul 18 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.5-1mamba
- security update to 2.0.0.5

* Fri Jun 01 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.4-1mamba
- security update to 2.0.0.4

* Thu Apr 05 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.3-1mamba
- security update to version 2.0.0.3
- own %{_libdir}/firefox-%%{version} subdirectories

* Sun Mar 11 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.2-1qilnx
- security update to version 2.0.0.2
- update language packs to version 2.0.0.2
- added i18n package for Belarusian
- save the configuration needed by ldconfig in /etc/ld.so.conf.d/firefox.conf
- specfile scriptlet reworked
- new build requirement: libpthread-stubs-devel

* Fri Feb 02 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-4qilnx
- added hicolor icon for firefox removed from kde

* Wed Jan 24 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-3qilnx
- fixed typo in the obsoletes tag
- rebuilt with default extensions instead of all ones (this fixes several
  issues reported by lot of users:)

* Wed Jan 17 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-2qilnx
- better (and now working) setup for internationalization
- removed %%post scrips

* Mon Jan 15 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-1qilnx
- update to version 2.0.0.1 by autospec
- update language packs to version 2.0.0.1
- update build requirements for the new modular xorg
- build against system nspr, nss, and pango libraries
- %%post scrips slightly modified to support xorg 7

* Tue Oct 24 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0-1qilnx
- update to version 2.0 by autospec

* Wed Jul 12 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.5.0.4-1qilnx
- update to version 1.5.0.4 by autospec
- added patch for ppc building

* Fri May 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.3-2qilnx
- arrrr! Update language pack to 1.5.0.3

* Mon May 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.3-1qilnx
- update to version 1.5.0.3 by autospec
- check for plugins in %{_libdir}/mozilla/plugins

* Thu Apr 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.2-2qilnx
- append %{_libdir}/firefox-%%{version} to ld.so.conf

* Wed Apr 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.2-1qilnx
- update to version 1.5.0.2 by autospec

* Wed Feb 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.1-2qilnx
- add %%pre and %%post scriptlets to fix the updating process when
  %%{_libdir}/firefox-%%{version}/plugins is a directory

* Mon Feb 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.1-1qilnx
- update to version 1.5.0.1 by autospec

* Tue Jan 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-3qilnx
- epoch tag added in all the requirements and prerequirements

* Wed Dec 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-2qilnx
- rebuilt with new configuration options
- new desktop file compatible with kappfinder

* Tue Dec 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-1qilnx
- update to version 1.5 by autospec
- removed enable-freetype2 option because it conflicts with xft requirement
- built with libpango

* Thu Sep 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.7-1qilnx
- update to version 1.0.7 by autospec
- also fix several security issues QSA-2005-110

* Sun Aug 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-2qilnx
- rebuilt with configure optimized option (don't use mozconfig file)

* Thu Aug 11 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.6-2qilnx
- fixed %%post scripts

* Mon Aug 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.6-1qilnx
- update to version 1.0.6 by autospec

* Fri May 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-2qilnx
- remove the list of internal provides

* Fri May 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- update to version 1.0.4 by autospec
- also fix security issues QSA-2005-069

* Sun Apr 17 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- new version build
- added i18n packages

* Wed Nov 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-4qilnx
- rebuild with both en-US and it-IT localizations

* Wed Nov 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3qilnx
- added italian localization (now it is in official CVS)

* Tue Nov 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2qilnx
- added localizations (but italian is not in CVS)
- added xft support

* Tue Nov 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- new version build

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc1-1qilnx
- new version build

* Mon Oct 04 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1qilnx
- new version build (security release)

* Wed Sep 15 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1qilnx
- new version build (also tagged as 1.0PR)

* Mon Jul 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1qilnx
- new version build

* Wed Jun 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-1qilnx
- new version build

* Sun Jun 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-1qilnx
- new version build

* Thu May 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-1qilnx
- new version build (renamed to mozilla-firefox)

* Tue Dec 16 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1qilnx
- first build
